/*** ESSENTIAL STYLES ***/
.sf-menu, .sf-menu * {
	margin: 0;
	padding: 0;
	list-style: none;
}
.sf-menu li {
	position: relative;
}
.sf-menu ul {
	position: absolute;
	display: none;
	top: 100%;
	left: 0;
	z-index: 99;
}
.sf-menu > li {
	float: left;
}
.sf-menu li:hover > ul,
.sf-menu li.sfHover > ul {
	display: block;
}

.sf-menu a {
	display: block;
	position: relative;
}
.sf-menu ul ul {
	top: 0;
	left: 100%;
}


/*** DEMO SKIN ***/
/* .sf-menu {
	float: left;
	margin-bottom: 1em;
} */
.sf-menu ul {
	padding-top: 1.5rem;
	font-size: 1.5rem;
	background-color: #fff;
}
.sf-menu a {
	padding: 0 1rem;
	text-decoration: none;
	zoom: 1; /* IE7 */
	color: #000;
}
.sf-menu ul a {
	padding: 0 2rem;
}
.sf-menu li {
	white-space: nowrap; /* no need for Supersubs plugin */
	*white-space: normal; /* ...unless you support IE7 (let it wrap) */
	-webkit-transition: background .2s;
	-o-transition: background .2s;
	-moz-transition: background .2s;
	transition: background .2s;
}
.sf-menu > li a {
	padding-bottom: 0.8rem;
}
.sf-menu > li a.sf-with-ul::after {
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 0.6rem 0.55rem 0 0.55rem;
	border-color: #000000 transparent transparent transparent;
	-webkit-transform: rotate(0deg);
	-moz-transform: rotate(0deg);
	-ms-transform: rotate(0deg);
	-o-transform: rotate(0deg);
	transform: rotate(0deg);
	display: block;
	content: '';
	position: absolute;
	z-index: 100;
	left: 0;
	right: 0;
	bottom: -1.2rem;
	margin: auto;
	opacity: 0;
	-webkit-transition: all ease 300ms;
	-o-transition: all ease 300ms;
	-moz-transition: all ease 300ms;
	transition: all ease 300ms;
}
.sf-menu > li:hover a.sf-with-ul::after,
.sf-menu > li.sfHover a.sf-with-ul::after{
	opacity: 1;
}
.sf-menu > li:hover::after,
.sf-menu > li.sfHover::after,
.sf-menu > li.current_page_ancestor::after,
.sf-menu > li.current-menu-parent::after,
.sf-menu > li.current-menu-item::after {
	position: absolute;
	z-index: 1;
	height: 0.1rem;
	background-color: #000;
	bottom: 0;
	left: 0;
	right: 0;
	display: block;
	content: '';
	margin: auto;
	width: -webkit-calc(100% - 2rem);
	width: -moz-calc(100% - 2rem);
	width: calc(100% - 2rem);
}
.sf-menu li:hover,
.sf-menu li.sfHover {
	/* only transition out, not in */
	-webkit-transition: none;
	-o-transition: none;
	-moz-transition: none;
	transition: none;
}
